d) All resources but Go"> d) All resources but Go">
MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000386VCMIGUI - Otherpublic2010-02-28 05:142015-12-04 15:50
ReporterZamolxis 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.75e 
Target VersionFixed in Version0.98f 
Summary0000386: Den of Thieves / Thieves' Guild interface issues
DescriptionYou probably know some of them, but here is what I noticed so far:

a) [FIXED] Redundant quotation marks for precious resources

b) [FIXED] Fonts for heroes' primary skills

c) AI personalities missing, placeholder "cPersonality" does not fit in the cell

d) All resources but Gold are placed too much to the right

e) [FIXED] Resource Bar does not have the proper length (see a few blue pixel columns in the right end)

f) [FIXED] Wrong Check button - the one in VCMI now is probably the one used for other screens; but Thieves' Guild actually has a button which is not so wide but is bigger on the vertical.

g) flags are not centered.

h) some fields are not implemented yet.

i) ESC does not close window.
TagsNo tags attached.
Attached Filesjpg file icon 2010-02-28_ThievesGuild.jpg [^] (156,901 bytes) 2010-02-28 05:14

- Relationships
related to 0000213assignedSXX No info about creature amounts should be presented with less than 2 thieves guilds. 
related to 0002109assignedSXX Den of Thieves - incorrect show 
related to 0000907feedbackTow Hotkey suggestions for Thieves' Guild and Tavern 
related to 0001559closedSXX Depending on quantity of taverns, information in them isn't displayed 

-  Notes
(0001165)
Ivan (developer)
2010-07-25 22:57

I've update report - this one is partially fixed in 1690
(0003150)
Zamolxis (viewer)
2012-09-30 21:08
edited on: 2012-09-30 21:22

Updated with point i) ESC does not close window (noticed in 0.89d)

(0003203)
Ixtreon (reporter)
2012-11-09 15:41
edited on: 2012-11-09 17:23

Noticed a few differences in the way the flags are positioned in VCMI and the original game (if they are less than 4, they should be exactly centered, otherwise act as they do) and wrote a quick fix:
    https://gist.github.com/4046199 [^]

I also tried (!) implementing the "Kingdom Army Strength" field, noticing the getArmyStrength() function . Additional check had to be added to keep the method consistent with the original game, as it doesn't account for garrisoned heroes in vanilla H3. (I've always found that annoying but.. oh well).
Also I'm not sure that's the cleanest way to write it OR if that function calculates the right values (inspecting it led me to dead end), but hey - it seemed to work fine after a number of tests. Would love it if someone reviews it!
Here's the diff file:
    https://gist.github.com/4046378 [^]

(0003204)
Ivan (developer)
2012-11-10 22:07

Looks OK except for a bit weird H3 behaviour (why town garrison is not part of kingdom army?)

One note regarding patch: instead of copy-pasting macro you could write "getArmyStrength" function and use it - no code duplication.

See revision 3003 - committed.
(0006139)
SXX (administrator)
2015-12-01 03:38

Gold income implemented in this branch:
https://github.com/vcmi/vcmi/pull/145 [^]
https://github.com/vcmi/vcmi/commit/a62ee65d72a655d18c7f2d07c2a472d4438a6db4 [^]
(0006140)
SXX (administrator)
2015-12-04 15:50

All remaining issues are fixed in this pull:
https://github.com/vcmi/vcmi/pull/145 [^]

It's complete already so I'm think it's okay to close this. Merge soon.

- Issue History
Date Modified Username Field Change
2010-02-28 05:14 Zamolxis New Issue
2010-02-28 05:14 Zamolxis File Added: 2010-02-28_ThievesGuild.jpg
2010-07-25 22:54 Ivan Description Updated View Revisions
2010-07-25 22:57 Ivan Note Added: 0001165
2012-03-11 15:21 Zamolxis Issue cloned: 0000907
2012-03-11 15:21 Zamolxis Relationship added related to 0000907
2012-09-30 21:08 Zamolxis Note Added: 0003150
2012-09-30 21:08 Zamolxis Description Updated View Revisions
2012-09-30 21:22 Zamolxis Note Edited: 0003150 View Revisions
2012-11-09 15:41 Ixtreon Note Added: 0003203
2012-11-09 17:23 Ixtreon Note Edited: 0003203 View Revisions
2012-11-09 23:29 Ivan Assigned To => Ivan
2012-11-09 23:29 Ivan Status new => assigned
2012-11-10 22:07 Ivan Note Added: 0003204
2012-11-15 17:30 Ivan Assigned To Ivan =>
2012-11-15 17:30 Ivan Status assigned => new
2014-02-15 15:05 Ivan Relationship added related to 0001559
2015-12-01 03:38 SXX Note Added: 0006139
2015-12-01 03:42 SXX Relationship added related to 0000213
2015-12-01 03:42 SXX Relationship added related to 0002109
2015-12-01 03:43 SXX Assigned To => SXX
2015-12-01 03:43 SXX Status new => assigned
2015-12-04 15:50 SXX Note Added: 0006140
2015-12-04 15:50 SXX Status assigned => resolved
2015-12-04 15:50 SXX Fixed in Version => 0.98f
2015-12-04 15:50 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean